org.omg.CORBA

## Class BAD_TYPECODE

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.omg.CORBA.SystemException
        - - org.omg.CORBA.BAD_TYPECODE

- All Implemented Interfaces:
    Serializable

      public final class BAD_TYPECODE
      extends SystemException

  Exception thrown when the ORB has encountered a malformed type code (for example, a type code with an invalid `TCKind` value).

  It contains a minor code, which gives more detailed information about what caused the exception, and a completion status. It may also contain a string describing the exception.

  Since:
    JDK1.2
  See Also:
    documentation on Java IDL exceptions

- - ### Field Summary

    - ### Fields inherited from class org.omg.CORBA.SystemException

      `completed, minor`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BAD_TYPECODE()` Constructs a `BAD_TYPECODE` exception with a default minor code of 0 and a completion state of COMPLETED_NO.
    `BAD_TYPECODE(int minor, CompletionStatus completed)` Constructs a `BAD_TYPECODE` exception with the specified minor code and completion status.
    `BAD_TYPECODE(String s)` Constructs a `BAD_TYPECODE` exception with the specified detail, a minor code of 0, and a completion state of COMPLETED_NO.
    `BAD_TYPECODE(String s, int minor, CompletionStatus completed)` Constructs a `BAD_TYPECODE` exception with the specified detail message, minor code, and completion status.

  - ### Method Summary

    - ### Methods inherited from class org.omg.CORBA.SystemException

      `toString`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BAD_TYPECODE

          public BAD_TYPECODE()

      Constructs a `BAD_TYPECODE` exception with a default minor code of 0 and a completion state of COMPLETED_NO.

    - #### BAD_TYPECODE

          public BAD_TYPECODE(String s)

      Constructs a `BAD_TYPECODE` exception with the specified detail, a minor code of 0, and a completion state of COMPLETED_NO.
      Parameters:
        `s` - the String containing a detail message

    - #### BAD_TYPECODE

          public BAD_TYPECODE(int minor,
                      CompletionStatus completed)

      Constructs a `BAD_TYPECODE` exception with the specified minor code and completion status.
      Parameters:
        `minor` - the minor code
        `completed` - an instance of `CompletionStatus` indicating the completion status

    - #### BAD_TYPECODE

          public BAD_TYPECODE(String s,
                      int minor,
                      CompletionStatus completed)

      Constructs a `BAD_TYPECODE` exception with the specified detail message, minor code, and completion status. A detail message is a String that describes this particular exception.
      Parameters:
        `s` - the String containing a detail message
        `minor` - the minor code
        `completed` - an instance of `CompletionStatus` indicating the completion status

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.